library(stockassessment)
source("src/xforecast.R")
load("run/model.RData")
Fbar<-tail(fbartable(fit),1)[1]

FC<-list()

# SQ all years
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar, Fbar, Fbar, Fbar), processNoiseF=FALSE, label="SQ all years")

# SQ then zero
#set.seed(12345)
#FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,0.000001,0.000001, 0.000001), processNoiseF=FALSE, label="SQ then zero")

#F=0
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.000001, 0.000001), processNoiseF=FALSE, label="2023F=2022F then zero")

#Fmsy
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.24, 0.24), processNoiseF=FALSE, label="2023F=2022F then Fmsy")

#Fmsy lower range 0.18
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.18, 0.18), processNoiseF=FALSE, label="2023F=2022F then Fmsy(lower range) ")

#Fmsy upper range 0.29
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.29, 0.29), processNoiseF=FALSE, label="2023F=2022F then Fmsy(upper range) ")


#Fmsy reduced based on scaling Blim to Btrigger based on WOSC and S-WISC
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.13, 0.13), processNoiseF=FALSE, label="2023F=2022F then Fmsy (reduced based on Btrigger scaling)")



save(FC, file="run/forecast.RData")
